Bug 841558 - [engine-core] migration: engine send destroy command (vm is killed) on several cases where migration fails (wrongfully)
[engine-core] migration: engine send destroy command (vm is killed) on severa...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Omer Frenkel
Ilanit Stein
virt
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 07:56 EDT by Haim
Modified: 2015-09-22 09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-15 08:46:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (683.42 KB, application/x-gzip)
2012-07-19 08:01 EDT, Haim
no flags Details

  None (edit)
Description Haim 2012-07-19 07:56:41 EDT
Description of problem:

in several cases where migration fails, engine send destroy command to source host where vm is running and thus kill the vm. 

this looks as follows on the engine log:

2012-07-19 14:43:08,816 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-47) [6fadd986] VM kaka3 716d3121-3f70-4d3e-9f50-94dbdcfd24c5 moved from MigratingFrom --> Up
2012-07-19 14:43:08,817 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-47) [6fadd986] adding VM 716d3121-3f70-4d3e-9f50-94dbdcfd24c5 to re-run list
2012-07-19 14:43:08,817 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-47) [6fadd986] Setting VM kaka2 b4e89fe3-e91f-4c78-bf66-560f9919c29b to status unknown
2012-07-19 14:43:08,817 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-47) [6fadd986] vm kaka2 running in db and not running in vds - add to rerun treatment. vds nott-vds2.
qa.lab.tlv.redhat.com
2012-07-19 14:43:09,239 ERROR [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-47) [6fadd986] Rerun vm 716d3121-3f70-4d3e-9f50-94dbdcfd24c5. Called from vds nott-vds2.qa.lab.tlv.re
dhat.com
2012-07-19 14:43:09,244 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.MigrateStatusVDSCommand] (pool-4-thread-50) [6fadd986] START, MigrateStatusVDSCommand(vdsId = cf82d2c4-d008-11e1-a5f7-001a4a16970e, vmId=
716d3121-3f70-4d3e-9f50-94dbdcfd24c5), log id: 1709c8fb
2012-07-19 14:43:09,276 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-4-thread-50) [6fadd986] Failed in MigrateStatusVDS method
2012-07-19 14:43:09,277 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-4-thread-50) [6fadd986] Error code migrateErr and error message VDSGenericException: VDSErrorException: Failed t
o MigrateStatusVDS, error = Fatal error during migration
2012-07-19 14:43:09,277 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-4-thread-50) [6fadd986] Command org.ovirt.engine.core.vdsbroker.vdsbroker.MigrateStatusVDSCommand return value 
 Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusOnlyReturnForXmlRpc
mStatus                       Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusForXmlRpc
mCode                         12
mMessage                      Fatal error during migration


2012-07-19 14:43:09,277 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-4-thread-50) [6fadd986] Vds: nott-vds2.qa.lab.tlv.redhat.com
2012-07-19 14:43:09,277 ERROR [org.ovirt.engine.core.vdsbroker.VDSCommandBase] (pool-4-thread-50) [6fadd986] Command MigrateStatusVDS execution failed. Exception: VDSErrorException: VDSGenericException: VDSErro
rException: Failed to MigrateStatusVDS, error = Fatal error during migration
2012-07-19 14:43:09,277 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.MigrateStatusVDSCommand] (pool-4-thread-50) [6fadd986] FINISH, MigrateStatusVDSCommand, log id: 1709c8fb
2012-07-19 14:43:09,301 WARN  [org.ovirt.engine.core.bll.MigrateVmCommand] (pool-4-thread-50) [6fadd986] CanDoAction of action MigrateVm failed. Reasons:ACTION_TYPE_FAILED_VDS_VM_CLUSTER,VAR__ACTION__MIGRATE,VA
R__TYPE__VM
2012-07-19 14:43:09,965 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-87) [16d88d3f] vm kaka2 running in db and not running in vds - add to rerun treatment. vds nott-vds1.
qa.lab.tlv.redhat.com

repro steps:

- start migration - have it failed on some fatal error.
- wait for vm to change status to up 
- vm is killed
Comment 1 Haim 2012-07-19 08:01:13 EDT
Created attachment 599124 [details]
engine.log

Note You need to log in before you can comment on or make changes to this bug.